This directory contains sample repositories from different versions of Notary client (TUF metadata, trust anchor certificates, and private keys), in order to test backwards compatibility (that newer clients can read old-format repositories).

Notary client makes no guarantees of future-compatibility though (that is, repositories produced by newer clients may not be able to be read by old clients.)

Relevant information for repositories:

- `notary0.1`
	- GUN: `docker.io/notary0.1/samplerepo`
	- key passwords: "randompass"
	- targets:

		```
		  NAME                                DIGEST                                SIZE (BYTES)
		------------------------------------------------------------------------------------------
		  v1     454fd6f9e5a71c34902a673f66cc73be5890785b55014afb0eee6cbbe784cca9   243
		```
	- `timestamp.json` has been removed - when testing the metadata, we'll have to rotate the timestamp key in order for the server to be able to sign the timestamp. The `timestamp.json` generated by a new server will be version 1, since as far as it knows this is a new repo.  If we kept the `timestamp.json` with the higher version number, we would not be able to publish.
